<template>
  <div>
    <toast
      v-model="toastStatus"
      v-bind="{ ...toastOptions }"
    />
    <template v-if="isLoading">
      <piggy-bank-loader />
    </template>
    <template v-else>
      <v-fade-transition mode="out-in">
        <router-view />
      </v-fade-transition>
    </template>
  </div>
</template>

<script>
  import { get } from 'vuex-pathify'
  // Styles
  import '@/styles/overrides.sass'

  export default {
    name: 'App',
    computed: {
      toastStatus: {
        get: function () {
          return this.toastOptions.status
        },
        set: function (status) {
          this.$store.dispatch('toast/setStatus', status)
        },
      },
      toastOptions () {
        return this.$store.getters['toast/options']
      },
      isLoading: get('app/isLoading'),
    },
    metaInfo: {
      title: 'App',
      titleTemplate: '%s | My Piggy Bank',
      htmlAttrs: { lang: 'pt-BR' },
      meta: [
        { charset: 'utf-8' },
        { name: 'viewport', content: 'width=device-width, initial-scale=1' },
      ],
    },
  }
</script>
